/* 
 * File:   HardwareProfile.h
 * Author: umeno
 *
 * Created on 2015/02/10, 12:29
 */

#ifndef HARDWAREPROFILE_H
#define	HARDWAREPROFILE_H

#ifdef	__cplusplus
extern "C" {
#endif

#if defined(__PIC24FJ128GB202__)
    #include <p24FJ128GB202.h>

    #define GetSystemClock()            32000000UL
    #define GetInstructionClock()       (GetSystemClock() / 2)
    #define GetPeripheralClock()        GetSystemClock()    //(GetSystemClock() / 2)

    #define ConfigureClocks()   {   \
                                }

    #define ConfigureAnalog()   {   \
                                    ANSA = 0;  /* Digital I/O */         \
                                    ANSB = 0;  /* Digital I/O */         \
                                }


    /* BC-USB-Kit system initialize */
    #define ConfigureUSBKitSystems() {   \
                                        ConfigureClocks();                  \
                                        ConfigureAnalog();                  \
                                     }

    /* LED I/O */
    #define USBKIT_LED_LAT      LATBbits.LATB9
    #define USBKIT_LED_TRIS     TRISBbits.TRISB9

    /* Button I/O */
    #define USBKIT_BTN_PORT     PORTBbits.RB7
    #define USBKIT_BTN_TRIS     TRISBbits.TRISB7
    #define USBKIT_BTN_CNPU     CNPU2bits.CN23PUE

#else
    #warning "Does not build on this target"
#endif


#ifdef	__cplusplus
}
#endif

#endif	/* HARDWAREPROFILE_H */

